# ReflectableAnnotation class abstract

Represents an annotation that has been applied to a class, method, field, parameter, or other Dart declarations at runtime.

This interface gives you access to:

- The TypeDeclaration of the annotation
- The arguments used when the annotation was constructed

### Example

    for (final annotation in reflectedClass.getAnnotations()) {
      print(annotation.getTypeDeclaration().getName());
      print(annotation.getArguments());
    }

Implementers
  - EnableAutoConfiguration
  - JetLeafApplication

## Constructors

ReflectableAnnotation.new()
  Represents an annotation that has been applied to a class, method, field, parameter, or other Dart declarations at runtime.
  const

## Properties

annotationType → Type
  Returns the annotation _type of this annotation.
  no setter
hashCode → int
  Returns a hash code consistent with equality definition.
  no setter override
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

equals(Object other) → bool
  Checks whether the given object is logically equivalent to this annotation.
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  Returns a string representation of this annotation.
  override

## Operators

operator ==(Object other) → bool
  Checks if this annotation is equal to another object.
  override